## ros-indigo-husky-gazebo 0.2.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(husky_gazebo)

find_package(catkin REQUIRED COMPONENTS roslaunch)

catkin_package()
catkin_add_env_hooks(50.husky_gazebo
  SHELLS sh DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/env-hooks)

roslaunch_add_file_check(launch)

install(
  DIRECTORY launch worlds urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-husky-gazebo (0.2.7-0trusty) trusty; urgency=high

  * Added empty.urdf to fix vanilla husky gazebo crash
  * Respect env var setup similar to husky_description
  * URDF Parameters for Husky Gazebo dnt respect envvr
    Changed so the launch files follow the same convention as husky_description
  * Contributors: Dave Niewinski, Devon Ash

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 11 Apr 2018 04:00:00 -0000

ros-indigo-husky-gazebo (0.2.6-0trusty) trusty; urgency=high

  * spawn_husky.launch: enable to use custom controller files, i.e effort controller
  * spawn_husky.launch: support argument to set urdf file and initial pose
  * Contributors: Kei Okada

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 26 Oct 2016 04:00:00 -0000

ros-indigo-husky-gazebo (0.2.5-0trusty) trusty; urgency=high

  * Removed duplicate SICK laser plugin in husky_gazebo, since husky_description already contains a SICK laser plugin from the lms package.
  * Contributors: Peiyi Chen

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Thu, 31 Dec 2015 05:00:00 -0000

ros-indigo-husky-gazebo (0.2.4-0trusty) trusty; urgency=high

  * Add pointcloud to laserscan config for simulated kinect
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 08 Jul 2015 04:00:00 -0000

ros-indigo-husky-gazebo (0.2.3-0trusty) trusty; urgency=high

  * Fix conflict with underlay
    When using -z check, underlayed instances of husky_gazebo would override overlays.
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 13 Apr 2015 04:00:00 -0000

ros-indigo-husky-gazebo (0.2.2-0trusty) trusty; urgency=high

  * Reduce physics update rate
  * Integrate husky_customization workflow
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 08 Apr 2015 04:00:00 -0000

ros-indigo-husky-gazebo (0.2.1-0trusty) trusty; urgency=high

  * Fix package urls
  * Add missing dependency
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-gazebo (0.2.0-0trusty) trusty; urgency=high

  * Refactor URDF
  * Add UR5 and Kinect simulation
  * Contributors: Paul Bovbel, TheDash

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 23 Mar 2015 04:00:00 -0000

ros-indigo-husky-gazebo (0.1.4-0trusty) trusty; urgency=high

  * Add missing dependency
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 11 Feb 2015 05:00:00 -0000

ros-indigo-husky-gazebo (0.1.3-0trusty) trusty; urgency=high

  * Fix installing
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 06 Feb 2015 05:00:00 -0000

ros-indigo-husky-gazebo (0.1.2-0trusty) trusty; urgency=high

  * Update authors
  * Add missing dependency
  * Reduce sensor range
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 30 Jan 2015 05:00:00 -0000

ros-indigo-husky-gazebo (0.1.1-0trusty) trusty; urgency=high

  * Remove multirobot prefixing, experiment later
  * Contributors: Paul Bovbel

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Wed, 14 Jan 2015 05:00:00 -0000

ros-indigo-husky-gazebo (0.1.0-0trusty) trusty; urgency=high

  * Major refactor for indigo:
    * All gazebo plugins moved to urdf/description.gazebo.xacro from husky_description
    * Ported to ros_control
  * Contributors: James Servos, Mike Purvis, Paul Bovbel, Prasenjit Mukherjee, y22ma

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Tue, 13 Jan 2015 05:00:00 -0000

ros-indigo-husky-gazebo (0.0.3-0trusty) trusty; urgency=high



 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Fri, 01 Nov 2013 04:00:00 -0000

ros-indigo-husky-gazebo (0.0.2-0trusty) trusty; urgency=high

  * added package installation rules

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Mon, 30 Sep 2013 04:00:00 -0000

ros-indigo-husky-gazebo (0.0.1-0trusty) trusty; urgency=high

  * Initial release for Hydro.

 -- Paul Bovbel <pbovbel@clearpathrobotics.com>  Sun, 29 Sep 2013 04:00:00 -0000

=== debian/control ===
Source: ros-indigo-husky-gazebo
Section: misc
Priority: extra
Maintainer: Paul Bovbel <pbovbel@clearpathrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-roslaunch
Homepage: http://ros.org/wiki/husky_gazebo
Standards-Version: 3.9.2

Package: ros-indigo-husky-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-gazebo-plugins, ros-indigo-gazebo-ros, ros-indigo-gazebo-ros-control, ros-indigo-hector-gazebo-plugins, ros-indigo-husky-control, ros-indigo-husky-description, ros-indigo-pointcloud-to-laserscan, ros-indigo-robot-state-publisher, ros-indigo-rostopic
Description: Clearpath Husky Simulator bringup

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-husky-gazebo//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
